# $Revision: 1.10.2.1 $, $Date: 2003/06/22 19:36:56 $
Summary:	H.323 gatekeeper and proxy
Summary(pl):	Gatekeeper i proxy dla protokou H.323
Name:		openh323proxy
Version:	0.9.13
Release:	1
Epoch:		1
License:	MPL 1.0
Group:		Applications/Communications
Source0:	http://dl.sourceforge.net/openh323proxy/%{name}-%{version}.tar.gz
# Source0-md5:	f25116bd22a0f648222f50cff3a5dd50
Source1:	%{name}.ini
Source2:	%{name}.init
Source3:	%{name}.sysconfig
Patch0:		%{name}-mak_files.patch
Patch1:		%{name}-config_file_path.patch
Patch2:		%{name}-c++.patch
URL:		http://openh323proxy.sourceforge.net/
BuildRequires:	expat-devel
BuildRequires:	openh323-devel >= 1.10.0
BuildRequires:	openssl-devel >= 0.9.6i
PreReq:		rc-scripts
Requires(post,preun):	/sbin/chkconfig
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description 
H.323 is widely used internet teleconferencing protocol. Openh323proxy
acts as H.323 gatekeeper and proxy. A H.323 gatekeeper controls all
H.323 clients (endpoints like MS Netmeeting) in his zone. Its most
important function is address translation between symbolic alias
addresses and IP addresses. This way you can call "jan" instead of
knowing which IP address he currently works on.

%description -l pl
H.323 to popularny internetowy protok telekonferencyjny, uywany
midzy innymi przez program NetMeeting. Openh323proxy suy jako
gatekeeper oraz Proxy dla tego protokou. Gatekeeper obsuguje
wszystkich klientw H.323 w swoim zasigu. Jego najwaniejsz funkcj
jest tumaczenie pomidzy nazwami symbolicznymi i adresami IP. Jako
proxy pakiet ten umoliwia poczenia H.323 pomidzy sieci wewntrzn
(za firewallem lub NAT), a Internetem.

%prep
%setup -qn %{name}
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
PWLIBDIR=%{_prefix}; export PWLIBDIR
OPENH323DIR=%{_prefix}; export OPENH323DIR
OPENGATEDIR=`pwd`; export OPENH323DIR
%{__make} %{?debug:debugshared}%{!?debug:optshared} \
	OPTCCFLAGS="%{rpmcflags}"

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sbindir},/etc/{/rc.d/init.d,/sysconfig}}

install obj_*/opengate_proxy $RPM_BUILD_ROOT%{_sbindir}
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}
install %{SOURCE2} $RPM_BUILD_ROOT/etc/rc.d/init.d/openh323proxy
install %{SOURCE3} $RPM_BUILD_ROOT/etc/sysconfig/openh323proxy

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/chkconfig --add openh323proxy
if [ -r /var/lock/subsys/openh323proxy ]; then
	/etc/rc.d/init.d/openh323proxy restart >&2
else
	echo "Run \"/etc/rc.d/init.d/openh323proxy start\" to start OpenH323 Proxy."
fi

%preun
if [ "$1" = "0" ]; then
	if [ -r /var/lock/subsys/openh323proxy ]; then
		/etc/rc.d/init.d/openh323proxy stop >&2
	fi
	/sbin/chkconfig --del openh323proxy
fi

%files
%defattr(644,root,root,755)
%doc *.txt
%attr(755,root,root) %{_sbindir}/*
%config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/openh323proxy.ini
%attr(754,root,root) /etc/rc.d/init.d/openh323proxy
%attr(640,root,root) %config(noreplace) %verify(not size mtime md5) /etc/sysconfig/openh323proxy

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: openh323proxy.spec,v $
Revision 1.10.2.1  2003/06/22 19:36:56  blues
- merged 0.9.13 from head

Revision 1.10  2002/07/29 22:08:30  kloczek
- {expat,openssl}-devel added to BuildRequires.

Revision 1.9  2002/07/29 21:41:28  kloczek
- updated to 0.9.11 (added Epoch: 1 for allow smooth upgrade from previouse
  version),
- updated Source url,
- more macros and cleanups in %install and %build.

Revision 1.8  2002/02/22 23:29:20  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.7  2002/01/18 02:14:07  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.6  2001/10/11 04:47:07  kloczek
- cosmetics.

Revision 1.5  2001/09/25 11:02:52  qboosh
- release 2: Prereq: /sbin/chkconfig

Revision 1.4  2001/07/26 05:42:22  saq
- reverting last change: removing new macros from %p{re,ost}{,un}

Revision 1.2  2001/02/28 16:31:01  jajcus
- typo

Revision 1.1  2001/02/28 16:30:03  jajcus
- new spec: H.323 gatekeeper and proxy
